summaryrefslogtreecommitdiff
path: root/pst/install-patch-official.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pst/install-patch-official.sh')
-rwxr-xr-xpst/install-patch-official.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/pst/install-patch-official.sh b/pst/install-patch-official.sh
new file mode 100755
index 0000000..485fad1
--- /dev/null
+++ b/pst/install-patch-official.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+# Planescape: Torment official patch
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract unshield wget
+
+setuptmp
+
+getpatch http://www.sorcerers.net/Games2/Torment/Trmt11.exe
+
+cabextract -L $TMPDIR/Trmt11.exe -d $TMPDIR || die
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || die
+
+cp -R $TMPDIR/program_executable_files/* "$TARGETDIR" || die
+
+cleanuptmp
+setperms "$TARGETDIR"